petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceDuplicate

Creates a duplicate PetscDualSpace object, however it is not setup.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceDuplicate(PetscDualSpace sp, PetscDualSpace *spNew)

Collective on PetscDualSpace

### Input Parameter

sp -The original PetscDualSpace

### Output Parameter

spNew -The duplicate PetscDualSpace

### See Also

PetscDualSpaceCreate(), PetscDualSpaceSetType()

### Level

beginner

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceDuplicate_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceDuplicate_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages